
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_orderinfo")]
    public class BaseOrderinfo
    {

        [Key]
        [Column("id")]
        public Guid id { get; set; }

        /// <summary>
        /// 订单编码
        /// </summary>
        [Column("order_no")]
        public string orderNo { get; set; }

        /// <summary>
        /// 物料id
        /// </summary>
        [Column("material_id")]
        public Guid? materialId { get; set; }

        /// <summary>
        /// 物料编码
        /// </summary>
        [Column("material_no")]
        public string materialNo { get; set; }

        /// <summary>
        /// 线体id
        /// </summary>
        [Column("material_line_id")]
        public Guid? materialLineId { get; set; }

        /// <summary>
        /// 线体名称
        /// </summary>
        [Column("material_line_name")]
        public string materialLineName { get; set; }

        /// <summary>
        /// 线体编码
        /// </summary>
        [Column("material_line_no")]
        public string materialLineNo { get; set; }

        /// <summary>
        /// 时序顺序
        /// </summary>
        [Column("product_sortno")]
        public int? productSortno { get; set; }

        /// <summary>
        /// 生产数量
        /// </summary>
        [Column("product_amount")]
        public int? productAmount { get; set; }

        /// <summary>
        /// bom版本
        /// </summary>
        [Column("bom_version")]
        public string bomVersion { get; set; }

        /// <summary>
        /// 订单日期
        /// </summary>
        [Column("plan_starttime")]
        public DateTime? planStarttime { get; set; }

        /// <summary>
        /// 0未完成1已完成
        /// </summary>
        [Column("plan_state")]
        public int? planState { get; set; }

        /// <summary>
        /// 上件数量
        /// </summary>
        [Column("up_amount")]
        public int? upAmount { get; set; }

        /// <summary>
        /// 下件数量
        /// </summary>
        [Column("down_amount")]
        public int? downAmount { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

